

<meta charset="utf-8">
 <title>class tutorial</title>
 <meta
 name="description"
 content="class_tutorial">
 <meta
 property="og:title" content="class_tutorial">
<html>
   <head>
      <style>
.box{
    background-image: url("D:\新建文件夹 (2)\网页\电子笔记_笔记内页_褶皱纸张背景_享做笔记_1_Joi love life_来自小红书网页版.jpg");
}
.box{
   width:1000px;
   margin:100px auto;
}

.product-grid .product-image{
   overflow: hidden;
   position: relative;
   border-radius:1000px;
}

.product-grid .product-image img{
   width: 100%;
   height: auto;
}

.product-image .pic-1{
   opacity:1;
   backface-visibility:hidden;
   
}

.product-grid:hover .product-image ,.pic-1{
     opacity:1;
}

.product-image .pic-2{
   width:100%;
   height:100%;
   opacity:0;
   backface-visibility:hidden;
   position:absolute;
   top:0;
   left:0;
 
}

.product-grid:hover .product-image .pic-2{
   opacity:1;
   transform: scale(1);
}
</style>
</head>
<body>
<!--两个照片-->
<div class="box">
   <div class="product-grid">
      <div class="product-image">
          <a href="#">
               <img class="pic-1"  src="微信图片_20240310171838.png">
               <img class="pic-2"  src="微信图片_20240310171829.png">
               
         </a>
      </div>
   </div>
</div>
</body>
</html>

  